QGIS Application - Feature request #3770
Cannot add parts to multipoint or multilinestring feature
2011-04-23 06:10 AM - Mayeul Kauffmann

Status: Closed

Priority: Low

Assignee: Jurgen Fischer

Category: Vectors

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 13829
Description

Not all buttons in the advance editing toolbar are available for
all geometry types: you cannot add parts to multipoint or multilinestring feature, but can with multipolygons.
Tested with r 15754 and postgis as a backend:

- You cannot add a point to a multipoint feature (you can only add a new feature). You can move or delete one of its parts . You can
copy a multipoint feature and paste it as a new multipoint feature.

- You cannot add a part to a multiline string (you can only add a new feature). You can move or delete one of its parts. You can copy a
multiline feature and paste it as a new multiline feature.

- You can add and delete parts to multipolygon. (As a minor note, to
delete a part of a multipolygon. you have to click on one of its
vertice, which might be a problem if you have a set of contiguous
(parts of) polygons).

As a side point, note that it is the responsibility of the backend to generate new id's when copy/pasting to avoid duplicates, e.g. with:
ALTER TABLE test_multipoints
ADD CONSTRAINT test_multipoints_pkey PRIMARY KEY;
otherwise duplicated id's are created (which does not prevent most
functions to work apparently).

| consider this as an annoyance more than a major bug because you can always create more features and duplicate the attributes,
potentially with a field like relation_id (the OSM way from a conceptual point of view). If two points belong to the same relation (should be
a multipoint), then they have the same relation_id. Still, if you already have a database with multi* geometries and must keep this
structure, fixing this bug will help.

History

#1 - 2011-05-04 11:45 AM - Jiirgen Fischer
- Status changed from Open to In Progress

#2 - 2011-05-05 03:51 PM - Jiirgen Fischer
- Resolution set to fixed
